{
  "name": "my-vite-project",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc --skipLibCheck --noEmit && vite build",
    "type-check": "tsc --noEmit",
    "lint": "eslint .",
    "preview": "vite preview",
    "start-dev": "vite --mode dev",
    "start-test": "vite --mode test",
    "start-prod": "vite --mode prod"
  },
  "dependencies": {
    "@emotion/react": "^11.13.3",
    "@emotion/styled": "^11.13.0",
    "@mui/icons-material": "^6.1.6",
    "@mui/material": "^6.1.6",
    "@vitejs/plugin-react": "^4.3.3",
    "date-fns": "^4.1.0",
    "moment": "^2.30.1",
    "react": "^18.3.1",
    "react-data-grid": "^7.0.0-beta.47",
    "react-dom": "^18.3.1",
    "react-qr-code": "^2.0.15",
    "react-qr-scanner": "^1.0.0-alpha.11",
    "styled-components": "^6.1.13"
  },
  "devDependencies": {
    "@eslint/js": "^9.13.0",
    "@types/node": "^22.10.1",
    "@types/react": "^18.3.12",
    "@types/react-dom": "^18.3.1",
    "@vitejs/plugin-react-swc": "^3.5.0",
    "eslint": "^9.13.0",
    "eslint-plugin-react-hooks": "^5.0.0",
    "eslint-plugin-react-refresh": "^0.4.14",
    "globals": "^15.11.0",
    "typescript": "~5.6.2",
    "typescript-eslint": "^8.11.0",
    "vite": "^6.2.0"
  }
}
